%define module	h2

Name:		python-%{module}
Version:	4.0.0
Release:	%mkrel 1
Summary:	HTTP/2 State-Machine based protocol implementation
Group:		Development/Python
License:	MIT
URL:		https://pypi.python.org/pypi/h2
Source0:	https://pypi.io/packages/source/h/h2/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
This module contains a pure-Python implementation of a HTTP/2 protocol stack.
It’s written from the ground up to be embeddable in whatever program
you choose to use, ensuring that you can speak HTTP/2 regardless of
your programming paradigm.

%package -n	python3-%{module}
Summary:	HTTP/2 State-Machine based protocol implementation
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
This module contains a pure-Python implementation of a HTTP/2 protocol stack.
It’s written from the ground up to be embeddable in whatever program
you choose to use, ensuring that you can speak HTTP/2 regardless of
your programming paradigm.

This is the Python 3 version of the package.

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{module}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc LICENSE README.rst
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info/


%changelog
* Mon Nov 02 2020 kekepower <kekepower> 4.0.0-1.mga8
+ Revision: 1641600
- Update to version 4.0.0

* Tue Feb 18 2020 daviddavid <daviddavid> 3.2.0-1.mga8
+ Revision: 1541922
- new version: 3.2.0

* Sun Feb 16 2020 umeabot <umeabot> 3.1.1-3.mga8
+ Revision: 1531924
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 3.1.1-2.mga8
+ Revision: 1441373
- rebuild for python3.8
- drop python2 support

* Sat Aug 03 2019 daviddavid <daviddavid> 3.1.1-1.mga8
+ Revision: 1426998
- new version: 3.1.1

* Sat Mar 02 2019 daviddavid <daviddavid> 3.1.0-1.mga7
+ Revision: 1371096
- new version: 3.1.0

* Tue Jan 08 2019 tv <tv> 3.0.1-4.mga7
+ Revision: 1351694
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.0.1-3.mga7
+ Revision: 1288933
- Mageia 7 Mass Rebuild

* Thu Oct 05 2017 daviddavid <daviddavid> 3.0.1-2.mga7
+ Revision: 1169145
- rename python-h2 to python2-h2

* Sat Sep 30 2017 guillomovitch <guillomovitch> 3.0.1-1.mga7
+ Revision: 1161883
- new version 3.0.1

* Sat Aug 05 2017 pterjan <pterjan> 2.4.2-2.mga7
+ Revision: 1135445
- Rebuild for python 3.6

* Fri Dec 02 2016 daviddavid <daviddavid> 2.4.2-1.mga6
+ Revision: 1071760
- new version: 2.4.2

* Thu May 26 2016 daviddavid <daviddavid> 2.3.1-1.mga6
+ Revision: 1018835
- new version: 2.3.1
- update for new pypi Source URL
- rename and rediff no-python3-enum34 patch

* Thu Apr 21 2016 daviddavid <daviddavid> 2.2.3-1.mga6
+ Revision: 1003952
- new version: 2.2.3

* Sun Apr 10 2016 daviddavid <daviddavid> 2.2.2-1.mga6
+ Revision: 1000134
- initial package python-h2

